#language: ru

@logistic

Функционал: 014. Logistic. Создание документов через АРМы для склада с ячейками 2

Сценарий: 014.1. Logistic. Создание плана отгрузки (документ) для склада с ячейками 2 - цепочка с АРМами
	
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле 'Дата отгрузки' я ввожу текст '26.09.2019'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И в поле с именем 'Дата' я ввожу текст '26.09.2019  0:00:00'
	И из выпадающего списка "Статус" я выбираю точное значение 'В наборку'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (1 кг)'
	И в таблице "Товары" в поле 'Вес, кг' я ввожу текст '10,00'
	И в таблице "Товары" в поле 'Мест, м3' я ввожу текст '10,00'
	И в таблице "Товары" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'План отгрузки 5 для склада с ячейками 2 (с использованием АРМов)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 014.2. Logistic. Создание на основании плана отгрузки задания на доставку для склада с ячейками 2 - цепочка с АРМами
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                      |
		| 'План отгрузки 5 для склада с ячейками 2 (с использованием АРМов)' |
	И я нажимаю на кнопку 'Задание на доставку'
	Тогда открылось окно 'Задание на доставку (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'К погрузке'
	И я нажимаю кнопку выбора у поля "Транспортное средство"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                      |
		| 'Транспортные средства' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'    |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Задание на доставку (создание) *'
	И в поле с именем "Дата" я ввожу текст '26.09.2019  0:00:00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Задание на доставку (создание)' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 014.3. Logistic. п/ф плана отгрузки, распоряжение на перемещение с типом отбор (АРМ Мониторинг отгрузки, АРМ Формирование распоряжений на перемещение по отбору)
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Мониторинг отгрузки'
	Тогда открылось окно 'Мониторинг отгрузки'
	И я разворачиваю группу "Отборы"
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '26.09.2019'
	И в поле 'DateEnd' я ввожу текст '26.09.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Мониторинг отгрузки'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Обновить дерево документов'
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной:
		| 'Транспорт/Распоряжение' | 'Факт' | 'Статус' | 'План' |
		| 'А524НВ Газель'          | ''     | ''       | ''     |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю строку с подчиненными:
		| 'Транспорт/Распоряжение' |
		| 'А524НВ Газель'          |
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение' | 'Факт' | 'Статус'    | 'План'   |
		| 'А524НВ Газель'          | ''     | ''          | ''       |
		| 'План отгрузки * от *'   | ''     | 'В наборку' | '10,000' |
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'    |
		| '10,000' | 'В наборку' |
	И я нажимаю на кнопку 'Печать'
	Тогда открылось окно 'План отгрузки *'
	И Я закрываю окно 'План отгрузки *'
	Тогда открылось окно 'Мониторинг отгрузки'
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю строку с подчиненными:
		| 'Транспорт/Распоряжение' |
		| 'А524НВ Газель'          |
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение' | 'Факт' | 'Статус'     | 'План'   |
		| 'А524НВ Газель'          | ''     | ''           | ''       |
		| 'План отгрузки * от *'   | ''     | 'Набирается' | '10,000' |
	# Номенклатура заполняется через обработчик ожидания после активации строки
	И я жду, что в таблице "ТаблицаНоменклатуры" количество строк будет "больше" 0 в течение 20 секунд
	И в таблице "ТаблицаРаспоряженийНаПеремещение" я нажимаю на кнопку 'Сформировать распоряжения'
	И я жду открытия окна 'Формирование распоряжений на перемещение по отбору: Форма' в течение 20 секунд
	Тогда таблица "НастройкиПодбора" стала равной по шаблону:
		| 'Документ отгрузки'    | 'Количество' | 'Номенклатура' | 'ОСГ, %' | 'Характеристика'   | 'Серия' |
		| 'План отгрузки * от *' | '10,000'     | 'Сыр Сулугуни' | ''       | '<Без маркировки>' | ''      |
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Заполнить'
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'Ячейка отправитель' | 'Количество' | 'Ячейка получатель' | 'Распоряжение' |
		| 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '1040011'            | '10,000'     | '1030011'           | ''             |
	И я нажимаю на кнопку 'Создать документы'
	Тогда таблица "Товары" стала равной по шаблону:
		| 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'Ячейка отправитель' | 'Количество' | 'Ячейка получатель' | 'Распоряжение'                       |
		| 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '1040011'            | '10,000'     | '1030011'           | 'Распоряжение на перемещение * от *' |
	И Я закрываю окно 'Формирование распоряжений на перемещение по отбору: Форма'
	Тогда открылось окно 'Мониторинг отгрузки'
	И Я закрываю окно 'Мониторинг отгрузки'

Сценарий: 014.4. Logistic. Проверка распоряжения на перемещение с типом отбор созданного в АРМе Формирование распоряжений на перемещение по отбору, заполнение факта
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный' | 'Склад отправитель'        | 'Склад получатель'         | 'Способ создания'                                    | 'Статус'       | 'Тип перемещения' |
		| 'Администратор' | 'Склад(ячейки и контроль)' | 'Склад(ячейки и контроль)' | 'Формирование распоряжений на перемещение по отбору' | 'К выполнению' | 'Отбор'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение * от *'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И элемент формы "Склад отправитель" стал равен "Склад(ячейки и контроль)"
	И элемент формы "Склад получатель" стал равен "Склад(ячейки и контроль)"
	И элемент формы "Тип перемещения" стал равен "Отбор"
	Тогда таблица "ТоварыПлан" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Ячейка отправитель' | 'Ячейка получатель' |
		| '10,000'     | 'кг'  | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '10,000, кг'     | '1040011'            | '1030011'           |
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я нажимаю на кнопку 'Добавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (1 кг)'
	И в таблице "Товары" из выпадающего списка "Ячейка отправитель" я выбираю по строке '1040011'
	И в таблице "Товары" из выпадающего списка "Ячейка получатель" я выбираю по строке '1030011'
	И в таблице "Товары" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'Распоряжение на перемещение по типу отбор в ячейку отгрузки для склада с ячейками 2'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение * от * *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 014.5. Logistic. Заполнение факта отгрузки, распоряжение на отгрузку (через АРМ Отгрузка) для склада с ячейками 2
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Отгрузка'
	И я нажимаю на гиперссылку "ЗаданиеНаДоставкуПредставление"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| 'Водитель'             | 'Время начала рейса (план)' | 'Машина'        |
		| 'Водитель Петров Петр' | '26.09.2019 0:00:00'        | 'А524НВ Газель' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на гиперссылку "ПланОтгрузкиПредставление"
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                   |
		| 'План отгрузки 5 для склада с ячейками 2 (с использованием АРМов)' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку 'Создать короб'
	И я нажимаю на кнопку 'ВводШтрихкода'
	Тогда открылось окно 'Ввод штрихкода'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	И я нажимаю на кнопку 'Завершить сборку'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Подтверждение'
	И я нажимаю на кнопку 'Нет'
	И я нажимаю на кнопку 'Создать короб'
	И я нажимаю на кнопку 'Добавить номенклатуру'
	Тогда открылось окно 'Электронные весы не выбраны. Введите вес вручную'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку 'КомандаГотово'
	И я нажимаю на кнопку 'Завершить сборку'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Подтверждение'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И Я закрываю окно ''
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: 014.6. Logistic. Проверка распоряжения на отгрузку, созданного через АРМ Отгрузка для склада с ячейками 2

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на отгрузку'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку выбора у поля "Задание на доставку"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| '(План) Начало рейса ' |
		| '26.09.2019 0:00:00'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжения на отгрузку'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на отгрузку * от *'
	И элемент формы "Склад" стал равен "Склад(ячейки и контроль)"
	И элемент формы "Ответственный" стал равен "Администратор"
	Тогда таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Ед.'         | 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '1,000'      | 'упак (1 кг)' | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '1,000, кг'      | '2'       |
		| '9,000'      | 'кг'          | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '9,000, кг'      | '9'       |
	И Я закрываю окно 'Распоряжение на отгрузку * от *'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку очистить у поля "Задание на доставку"
	И Я закрываю окно 'Распоряжения на отгрузку'

Сценарий: 014.7. Logistic. Завершение

	И Я закрыл все окна клиентского приложения